/***************************************************************************
 *   Copyright (C) 2008 by Andreas Silberstorff   *
 *   taki@Rivendell   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef RECORDCOMMAND_H
#define RECORDCOMMAND_H

#include <Data/Command>
#include <QString>
#include <QTime>
#include <KProcess>

namespace MPlayerScriptDevice {

/**
 * A Command using MPlayer shellscripts
 *
 * @short MPlayerCommand
 * @author Andreas Silberstorff <ml@andreas-silberstorff.de>
 * @version 1.0.91
 */

class RecordCommand
 : public KalvaData::KalvaScriptCommand
{
public:
	RecordCommand();
	virtual ~RecordCommand();
	QString script();
	QString url();

	inline void setDuration(QTime duration) { _duration = duration; };
	inline void setChannel(QString channel) { _channel = channel; };
	inline void setTitel(QString titel) { _titel = titel; };
	inline void setProgram(QString program) { _program = program; };
	inline void setType(QString type) { _type = type; };
	inline void setOvc(QString ovc) { _ovc = ovc; };
	inline void setOac(QString oac) { _oac = oac; };
	inline void setOf(QString of) { _of = of; };
	inline void setSuffix(QString suffix) { _suffix = suffix; };
	inline void setCollectionpath(QString collectionpath) { _collectionpath = collectionpath; };

private:
	QTime _duration;
	QString _channel;
	QString _titel;
	QString _program;
	QString _type;
	QString _ovc;
	QString _oac;
	QString _of;
	QString _suffix;
	QString _collectionpath;

	KProcess* _process;
};

}

#endif
